List containers in brief
GET
/container/simple
const url = 'https://sylve.lan:8181/api/container/simple';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://sylve.lan:8181/api/container/simple \ --header 'Authorization: <Authorization>'List each container’s ID, name and live state for the resource tree
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Success
Media typeapplication/json
object
data
Array<object>
object
name
string
ocId
integer
stack
string
stackTitle
string
state
string
title
string
update
boolean
error
string
message
string
status
string
Examplegenerated
{ "data": [ { "name": "example", "ocId": 1, "stack": "example", "stackTitle": "example", "state": "example", "title": "example", "update": true } ], "error": "example", "message": "example", "status": "example"}